﻿using System.Collections.Generic;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _460685
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            radListView1.MultiSelect = true;
            radListView1.ItemMouseClick += new Telerik.WinControls.UI.ListViewItemEventHandler(radListView1_ItemMouseClick);
        }

        List<ListViewDataItem> selectedItems = new List<ListViewDataItem>();

        private void radListView1_ItemMouseClick(object sender, Telerik.WinControls.UI.ListViewItemEventArgs e)
        {
            if (selectedItems.Contains(e.Item))
            {
                selectedItems.Remove(e.Item);
            }
            else
            {
                selectedItems.Add(e.Item);
            }
            radListView1.SelectedItems.Clear();
            radListView1.Select(selectedItems.ToArray());
        }
    }
}